{
  pkgs,
  lib,
  ...
}: let
  common = pkgs.callPackage ./common.nix {};
in
  pkgs.writeShellScriptBin "run-ci-tests" ''

    ${common}

    echo_header "Running CI tests"

    download_test_images
    setup_go_env

    echo_section "Running tests"
    if ! ${pkgs.go}/bin/go test -tags "runOnTask" ./...
    then
      echo_fail "Failed to run tests"
      exit 1
    fi


  ''
